<Container
  @value={{@value.data.container}}
  @deviceSize={{@deviceSize}}
  class="page-col-event-location use-highlights"
  data-name={{@value.name}}
  data-gid={{@value.gid}}
  data-path="{{@path}}.data.container"
  ...attributes
>
  <View::Base::SourceRecord
    @isEditor={{@isEditor}}
    @path={{@path}}
    @model={{@model}}
    @value={{@value}}
    @onLoad={{this.loaded}}
  >
    {{#if this.textLocation}}
      <TextWithOptions
        @tag="div"
        class="event-location location-text"
        @deviceSize={{@deviceSize}}
        @options={{@value.data.title}}
        data-path="{{@path}}.data.title"
        data-name={{@value.name}}
        data-gid={{@value.gid}}
      >
        <MarkDown @value={{this.textLocation}} />
      </TextWithOptions>
    {{/if}}

    {{#if this.featureSource}}
      <div
        class="d-none"
        {{on "props-update" this.updateCardProps}}
        data-name={{@value.name}}
        data-gid={{@value.gid}}
        data-type="card"
        data-editor="card-options"
        data-path="{{@path}}.data.card"
        data-model-type={{@value.data.source.model}}
      />

      <View::Base::SourceRecord
        @isEditor={{@isEditor}}
        @model={{@model}}
        @value={{this.featureSource}}
        as |feature|
      >
        <Card::Any
          @value={{this.value}}
          @record={{feature}}
          @deviceSize={{@deviceSize}}
          @path={{@path}}
        />
      </View::Base::SourceRecord>
    {{/if}}
  </View::Base::SourceRecord>
</Container>